Bug 850576 - Lorax runs out of disk on /tmp when building images when it should use /var/tmp
Lorax runs out of disk on /tmp when building images when it should use /var/tmp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 16:55 EDT by Tim Flink
Modified: 2013-02-04 12:51 EST (History)
2 users (show)

See Also:
Fixed In Version: lorax-18.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 12:51:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Flink 2012-08-21 16:55:15 EDT
When building an image with lorax, it makes a temporary directory in /tmp to do work. With the new tmpfs feature in Fedora 18, the available disk space in /tmp is limited and not enough for image creation.

According to the tmp-on-tmpfs feature, anything needing large amounts of disk space in /tmp should use /var/tmp instead of /tmp

This issue exists in lorax-18.14-1.fc18 which is current at this time.
Comment 1 Martin Gracik 2012-08-28 06:12:55 EDT
Are you using pungi to do the composes?
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 10:04:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.